Trasys
Public API

Incidents & Alerts

List active system problems and outages, retrieve full incident timelines, and check configured alert rules with the Public API's incidents/alerts endpoints.

These endpoints allow you to retrieve your active incidents and threshold alerts.

All endpoints on this page support standard pagination and time range filtering.


GET /v1/incidents

List and observe active system problems and outages.

Query Parameters

ParameterTypeRequiredDescription
statusstringNoFilter by incident status. Options: active, resolved.
severitystringNoFilter by severity. Options: low, medium, high, critical.
(Pagination)Supports limit, page, time_range, sort_by, sort_order.

GET /v1/incidents/:incidentId

Retrieve full incident timeline and updates for a single incident.

Path Parameters

ParameterTypeRequiredDescription
incidentIdstringYesThe unique identifier of the incident.

GET /v1/alerts

Check configured system metrics thresholds and alert fire/resolve events.

Query Parameters

ParameterTypeRequiredDescription
statusstringNoFilter by alert status. Options: active, muted, resolved.
(Pagination)Supports limit, page, time_range, sort_by, sort_order.

GET /v1/alerts/:alertId

Retrieve alert rules and configuration for a single alert.

Path Parameters

ParameterTypeRequiredDescription
alertIdstringYesThe unique identifier of the alert.

On this page